Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 159221 - RFE: track libtool .la dependencies
Summary: RFE: track libtool .la dependencies
Keywords:
Status: CLOSED UPSTREAM
Alias: None
Product: Fedora
Classification: Fedora
Component: rpm
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Paul Nasrat
QA Contact: Mike McLean
URL:
Whiteboard:
Depends On:
Blocks: 153935
TreeView+ depends on / blocked
 
Reported: 2005-05-31 17:54 UTC by Nalin Dahyabhai
Modified: 2007-11-30 22:11 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-11-06 15:44:49 UTC


Attachments (Terms of Use)

Description Nalin Dahyabhai 2005-05-31 17:54:26 UTC
Description of problem:
A libtool .la file lists the .la files on which it depends using their exact
paths -- if the depended-on .la files is removed, the dependent .la file is
rendered useless.  This causes bugs like bug #159144 to just pop up from time to
time.

Version-Release number of selected component (if applicable):
4.4.1-21

How reproducible:
Always.

Steps to Reproduce:
1. Remove /usr/lib/libxml2.la from your system, or move it elsewhere.
2. Verify that /usr/lib/libxmlsec1-openssl.la lists /usr/lib/libxml2.la in its
   dependency_libs list.
3. Try to build a program using libtool:
   cat > foo.c << EOF
   int main(int argc, char **argv) { return 0; }
   EOF
   libtool --mode=compile --tag=CC cc -o foo.lo -c foo.c
   libtool --mode=link    --tag=CC cc -o foo foo.lo -lxmlsec1-openssl
  
Actual results:
libtool: link: cannot find the library `/usr/lib/libxml2.la'

Expected results:
(nothing)

Additional info:
Examples of how to do this are attachment #112735 [details] and attachment #112738 [details],
attached to bug #153935.

Comment 1 Jeff Johnson 2005-07-13 12:12:29 UTC
Scripts added to rpm-4_4, no plumbing yet.

Comment 2 Jeff Johnson 2005-11-06 15:44:49 UTC
Fixed in cvs, will be in rpm-4.4.3-0.38 when built.


Note You need to log in before you can comment on or make changes to this bug.